Bug 971852 - [abrt] qmmp-0.5.5-1.fc17: __cxxabiv1::__cxa_pure_virtual: Process /usr/bin/qmmp was killed by signal 6 (SIGABRT)
Summary: [abrt] qmmp-0.5.5-1.fc17: __cxxabiv1::__cxa_pure_virtual: Process /usr/bin/qm...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qmmp   
(Show other bugs)
Version: 17
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Volný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e6026acc9b44f3d75abf858fae1...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 12:29 UTC by Thomas Jürges
Modified: 2013-07-02 00:23 UTC (History)
1 user (show)

Fixed In Version: qmmp-0.6.4-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 00:23:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.82 KB, text/plain)
2013-06-07 12:29 UTC, Thomas Jürges
no flags Details
File: core_backtrace (3.37 KB, text/plain)
2013-06-07 12:29 UTC, Thomas Jürges
no flags Details
File: dso_list (21.64 KB, text/plain)
2013-06-07 12:29 UTC, Thomas Jürges
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-07 12:29 UTC, Thomas Jürges
no flags Details
File: maps (104.09 KB, text/plain)
2013-06-07 12:29 UTC, Thomas Jürges
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-06-07 12:29 UTC, Thomas Jürges
no flags Details
File: xsession_errors (147 bytes, text/plain)
2013-06-07 12:29 UTC, Thomas Jürges
no flags Details

Description Thomas Jürges 2013-06-07 12:29:33 UTC
Version-Release number of selected component:
qmmp-0.5.5-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/qmmp
crash_function: __cxxabiv1::__cxa_pure_virtual
executable:     /usr/bin/qmmp
kernel:         3.8.13-100.fc17.x86_64
runlevel:       N 5
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 __cxxabiv1::__cxa_pure_virtual at ../../../../libstdc++-v3/libsupc++/pure.cc:50
 #6 PlayList::setTime at /usr/src/debug/qmmp-0.5.5/src/ui/playlist.cpp:495
 #7 QMetaObject::activate at kernel/qobject.cpp:3539
 #8 SoundCore::elapsedChanged at /usr/src/debug/qmmp-0.5.5/src/qmmp/moc_soundcore.cxx:169
 #9 SoundCore::qt_static_metacall at /usr/src/debug/qmmp-0.5.5/src/qmmp/moc_soundcore.cxx:87
 #10 QObject::event at kernel/qobject.cpp:1194
 #11 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4562
 #12 QApplication::notify at kernel/qapplication.cpp:4423
 #13 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:949
 #14 sendEvent at kernel/qcoreapplication.h:231

Comment 1 Thomas Jürges 2013-06-07 12:29:37 UTC
Created attachment 758143 [details]
File: backtrace

Comment 2 Thomas Jürges 2013-06-07 12:29:40 UTC
Created attachment 758144 [details]
File: core_backtrace

Comment 3 Thomas Jürges 2013-06-07 12:29:44 UTC
Created attachment 758145 [details]
File: dso_list

Comment 4 Thomas Jürges 2013-06-07 12:29:47 UTC
Created attachment 758146 [details]
File: limits

Comment 5 Thomas Jürges 2013-06-07 12:29:50 UTC
Created attachment 758147 [details]
File: maps

Comment 6 Thomas Jürges 2013-06-07 12:29:53 UTC
Created attachment 758148 [details]
File: proc_pid_status

Comment 7 Thomas Jürges 2013-06-07 12:29:56 UTC
Created attachment 758149 [details]
File: xsession_errors

Comment 8 Fedora Update System 2013-06-19 14:35:43 UTC
qmmp-0.6.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qmmp-0.6.4-1.fc17

Comment 9 Fedora Update System 2013-06-21 02:03:58 UTC
Package qmmp-0.6.4-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qmmp-0.6.4-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11412/qmmp-0.6.4-1.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-07-02 00:23:53 UTC
qmmp-0.6.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.